<?php

/**
 * Menus form base class.
 *
 * @package    form
 * @subpackage menus
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseMenusForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'descripcion' => new sfWidgetFormInput(),
      'update_at'   => new sfWidgetFormDate(),
      'orden'       => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorPropelChoice(array('model' => 'Menus', 'column' => 'id', 'required' => false)),
      'descripcion' => new sfValidatorString(array('max_length' => 30, 'required' => false)),
      'update_at'   => new sfValidatorDate(array('required' => false)),
      'orden'       => new sfValidatorNumber(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('menus[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Menus';
  }


}
